Skip to main content
GET
/
teams
/
{id}
/
in-the-system
/
leagues
Count By Leagues
curl --request GET \
  --url 'https://api.eliteprospects.com/v1/teams/{id}/in-the-system/leagues?apiKey='
{
  "_meta": {
    "generatedAt": "<string>",
    "offset": 123,
    "limit": 123,
    "totalRecords": 123
  },
  "_links": {
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>"
  },
  "data": [
    {
      "league": {
        "slug": "<string>",
        "name": "<string>",
        "fullName": "<string>",
        "commonName": "<string>",
        "leagueType": "<string>",
        "leagueLevel": "<string>",
        "defaultSeason": {
          "slug": "<string>",
          "startYear": 123,
          "endYear": 123
        },
        "activeSeason": {
          "slug": "<string>",
          "startYear": 123,
          "endYear": 123
        },
        "country": {
          "slug": "<string>",
          "name": "<string>",
          "iso_3166_1_alpha_2": "<string>",
          "flagUrl": {
            "small": "<string>",
            "medium": "<string>"
          },
          "eliteprospectsUrlPath": "<string>",
          "updatedAt": "<string>",
          "_links": [
            "<string>"
          ]
        },
        "region": "<string>",
        "flagUrl": {
          "small": "<string>",
          "medium": "<string>"
        },
        "logo": {
          "url": "<string>",
          "colors": [
            "<string>"
          ],
          "hasTransparency": true
        },
        "logoUrl": "<string>",
        "imageUrl": "<string>",
        "numberOfTeams": 123,
        "primaryDraftType": {
          "slug": "<string>",
          "name": "<string>",
          "league": "<unknown>",
          "_links": [
            "<string>"
          ],
          "eliteprospectsUrlPath": "<string>"
        },
        "existsInLeagueEndpoint": true,
        "hasProjectedStats": true,
        "historicalData": [
          {
            "slug": "<string>",
            "name": "<string>",
            "fullName": "<string>",
            "firstSeason": {
              "slug": "<string>",
              "startYear": 123,
              "endYear": 123
            },
            "lastSeason": {
              "slug": "<string>",
              "startYear": 123,
              "endYear": 123
            }
          }
        ],
        "links": {
          "eliteprospectsUrl": "<string>",
          "officialWebUrl": "<string>",
          "statsUrl": "<string>",
          "newsUrls": [
            "<string>"
          ],
          "forumUrl": "<string>",
          "facebook": "<string>",
          "x": "<string>",
          "twitter": "<string>",
          "instagram": "<string>",
          "youtube": "<string>"
        },
        "eliteprospectsUrlPath": "<string>",
        "updatedAt": "<string>",
        "_links": [
          "<string>"
        ]
      },
      "count": 123
    }
  ]
}

Authorizations

apiKey
string
query
required

Path Parameters

id
integer
required

Numeric ID of the team to get count by leagues for

Query Parameters

fields
enum<string>[]

Specify custom response with available response fields.


Fields included as default: league, count

Available options:
league,
count,
league.*,
*
offset
integer
default:0

The number of items to skip before starting to collect the result set.

Required range: x >= 0
limit
integer
default:100

The number of items to return.

Required range: 0 <= x <= 1000
sort
enum<string>[]

Sort results by field name. Prefix with - for descending order (e.g., -name).

Available options:
league,
-league,
count,
-count

Response

200 - application/json

A paginated list of count by leagues.

_meta
object
data
object[]